org.apache.sling.maven.projectsupport

## Class AbstractLaunchpadFrameworkMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.sling.maven.projectsupport.AbstractBundleListMojo
    - - org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo
      - - org.apache.sling.maven.projectsupport.AbstractLaunchpadFrameworkMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  CreateBundleJarMojo, PreparePackageMojo

    public abstract class AbstractLaunchpadFrameworkMojo
    extends AbstractUsingBundleListMojo

This class contains the Launchpad-framework specific utility methods.

### Field Summary

Fields
`protected String` `baseDestination` The name of the directory within the output directory into which the base JAR should be installed.

### Fields inherited from class org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo

`BUNDLE_PATH_PREFIX, CONFIG_PATH_PREFIX, defaultBundleList, JAR, mavenFileFilter, WAR`

### Fields inherited from class org.apache.sling.maven.projectsupport.AbstractBundleListMojo

`bundleListFile, commonSlingBootstrap, commonSlingProps, ignoreBundleListConfig, mavenSession, PARTIAL, project, projectHelper, standaloneSlingBootstrap, standaloneSlingProps, webappSlingBootstrap, webappSlingProps`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractLaunchpadFrameworkMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `copy(ArtifactDefinition additionalBundle, File outputDirectory)`
`protected void` `copy(File file, int startLevel, String runModes, File outputDirectory)`
`protected void` `copyBundles(BundleList bundles, File outputDirectory)`
`protected String` `getPathForArtifact(int startLevel, String artifactName, String runModes)`

### Methods inherited from class org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo

`execute, executeWithArtifacts, getConfigDirectory, getInitializedBundleList, getSlingBootstrap, getSlingProperties, initArtifactDefinitions, initBundleList, shouldCopy`

### Methods inherited from class org.apache.sling.maven.projectsupport.AbstractBundleListMojo

`copyDirectory, getArtifact, getArtifact`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### baseDestination

    @Parameter(defaultValue="resources")
    protected String baseDestination

The name of the directory within the output directory into which the base JAR should be installed.

### Constructor Detail

#### AbstractLaunchpadFrameworkMojo

    public AbstractLaunchpadFrameworkMojo()

### Method Detail

#### getPathForArtifact

    protected String getPathForArtifact(int startLevel,
                                        String artifactName,
                                        String runModes)

#### copyBundles

    protected void copyBundles(BundleList bundles,
                               File outputDirectory)
                        throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### copy

    protected void copy(ArtifactDefinition additionalBundle,
                        File outputDirectory)
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### copy

    protected void copy(File file,
                        int startLevel,
                        String runModes,
                        File outputDirectory)
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`